Punto informatico Network
Login Esegui login | Non sei registrato? Iscriviti ora (è gratuito!)
Username: Password:
  • Annuncio Pubblicitario

posso installare 2 versioni di .Net Framework?

Problemi con i sistemi operativi di casa Microsoft? Questa è la sezione che fa per te!

posso installare 2 versioni di .Net Framework?

Messaggioda andy » ven ago 18, 2006 4:13 pm

Dato che possiedo programmi che vorrebbero sia la versione 1.1 sia la 2.0, posso installarle entrambi?
Avatar utente
andy
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 1955
Iscritto il: mer mar 30, 2005 9:27 pm
Località: Rimini

Messaggioda blind » ven ago 18, 2006 5:29 pm

Si..
Ogni parola pronunciata sarà lo specchio del tuo dolore.. riflette la colpa, alimenta l'odio.. "Lacuna Coil"
Avatar utente
blind
Silver Member
Silver Member
 
Messaggi: 1215
Iscritto il: gio ott 28, 2004 6:40 pm
Località: Pisa..

Messaggioda Xero » ven ago 18, 2006 6:03 pm

ma la 2.0 non include anche la 1.1?
anche se questo si contraddirebbe col fatto che anch'io ho installato sia l'una che l'altra versione
twitter → http://twitter.com/Maurizio_D

«L'innovazione è una questione di priscio.» A. D'elia
Avatar utente
Xero
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5145
Iscritto il: mar giu 27, 2006 8:37 pm
Località: Provincia Di Matera / Bari


Messaggioda crazy.cat » ven ago 18, 2006 6:23 pm

Xero ha scritto:ma la 2.0 non include anche la 1.1?

Io avevo aggiornato alla 2 eliminando la 1.1, installo un programma che richiedeva la 1.1 e non si lasciava installare, ho dovuto rimettere anche la 1.1
Avatar utente
crazy.cat
MLI Hero
MLI Hero
 
Messaggi: 30959
Iscritto il: lun gen 12, 2004 1:38 pm
Località: Mestre

Messaggioda andy » ven ago 18, 2006 9:32 pm

crazy.cat ha scritto:
Xero ha scritto:ma la 2.0 non include anche la 1.1?

Io avevo aggiornato alla 2 eliminando la 1.1, installo un programma che richiedeva la 1.1 e non si lasciava installare, ho dovuto rimettere anche la 1.1


Proprio quello che dovrei fare anche io, salvo aver utilizzato anche il tool che avevate raccomandato per la completa disinstallazione. Ma nel registro erano ancora rimaste le chiavi della vecchia versione
Avatar utente
andy
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 1955
Iscritto il: mer mar 30, 2005 9:27 pm
Località: Rimini

Messaggioda NinoRapis » gio gen 18, 2007 3:55 am

se ho capito bene allora visto che ho già installato NET v1.1 nel mio notebook ma mi serve il NET v2 ( per adoperare nLite ) installo il secondo e li mantengo entrambi giusto?
ps: per il NET Framework 2 installo pure il language pack ITA o non serve?
[^]
Avatar utente
NinoRapis
Senior Member
Senior Member
 
Messaggi: 177
Iscritto il: ven dic 09, 2005 3:14 pm

Messaggioda crazy.cat » gio gen 18, 2007 8:41 am

NinoRapis ha scritto:se ho capito bene allora visto che ho già installato NET v1.1 nel mio notebook ma mi serve il NET v2 ( per adoperare nLite ) installo il secondo e li mantengo entrambi giusto?
ps: per il NET Framework 2 installo pure il language pack ITA o non serve?
[^]


Installi la 3 ed hai risolto il problema.
Quando i molti governano, pensano solo a contentar sé stessi, si ha allora la tirannia più balorda e più odiosa: la tirannia mascherata da libertà.
Avatar utente
crazy.cat
MLI Hero
MLI Hero
 
Messaggi: 30959
Iscritto il: lun gen 12, 2004 1:38 pm
Località: Mestre

Messaggioda bandrew » gio gen 18, 2007 11:18 am

3??
Non sapevo esistesse anche la versione 3... Ieri installando i drive Ati di una Radeon 9550 mi ha chiesto i .net framework 2, certo ceh a sto punto gli metto i 3...
AndreA
Avatar utente
bandrew
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 1939
Iscritto il: mar set 16, 2003 4:11 pm
Località: Lombardia

Messaggioda crazy.cat » gio gen 18, 2007 11:41 am

Quando i molti governano, pensano solo a contentar sé stessi, si ha allora la tirannia più balorda e più odiosa: la tirannia mascherata da libertà.
Avatar utente
crazy.cat
MLI Hero
MLI Hero
 
Messaggi: 30959
Iscritto il: lun gen 12, 2004 1:38 pm
Località: Mestre

Messaggioda ingmotty » gio gen 18, 2007 11:48 am

crazy.cat ha scritto:Download versione 3


Ciao a tutti, per installare la versione 3 è necessario disinstallare prima tutte le altre versioni? O comunque resta il problema di dover lasciare anche le altre?
ps. di questo argomento ne avevamo già parlato in un mio post:
http://www.MegaLab.it/forum/viewtopic.php?t=25709&highlight=net+framework
Avatar utente
ingmotty
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 2386
Iscritto il: sab set 30, 2006 10:29 pm
Località: Gricignano (CE)

Messaggioda TheSloth » gio gen 18, 2007 10:05 pm

crazy.cat ha scritto:
NinoRapis ha scritto:se ho capito bene allora visto che ho già installato NET v1.1 nel mio notebook ma mi serve il NET v2 ( per adoperare nLite ) installo il secondo e li mantengo entrambi giusto?
ps: per il NET Framework 2 installo pure il language pack ITA o non serve?
[^]


Installi la 3 ed hai risolto il problema.


cioè la versione 3, a differenza della 2, riassume anche la precedenti?
Avatar utente
TheSloth
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 3285
Iscritto il: ven set 15, 2006 8:50 pm
Località: Marche

Messaggioda Pacopas » gio gen 18, 2007 11:09 pm

da quel che ho potuto leggere sul sito MS la versione 3 comprende la 2 ed è compatibile con i software che la usano

Microsoft ha scritto:Microsoft .NET Framework 3.0 è il nuovo modello di programmazione di codice gestito per Windows(r). Combina la potenza della versione 2.0 di .NET Framework con nuove tecnologie per la generazione di applicazioni
...
Se il cliente ha già .NET Framework 2.0 installato, con .NET Framework 3.0 Redistributable Package verranno installati solo i nuovi componenti Windows Vista. In questo modo, è possibile garantire il corretto funzionamento di tutte le applicazioni basate su .NET Framework 2.0 al momento dell'installazione di .NET Framework 3.0, senza la necessità di eseguire alcun tipo di migrazione o aggiornamento.


ora per la versione 1 non credo ci sia questa retrocompatibilità, almeno sul sito questo dettaglio non emerge, quindi hai fini del tuo problema la 2 o la 3 è indifferente, tanto vale installare la 3

prima che causi problemi a qualcuno vorrei mettere in evidenza questo aspetto.

Microsoft ha scritto:Importante: non è possibile installare .NET Framework in due differenti lingue nella stessa macchina. Se si tenta di installare una seconda versione di .NET Framework in un'altra lingua, verrà visualizzato il seguente messaggio di errore: "Impossibile installare Microsoft .NET Framework perché è già installata un'altra versione del prodotto." se la piattaforma in uso non è nella lingua inglese o se si desidera visualizzare le risorse .NET Framework in una lingua differente, è necessario scaricare .NET Framework Language Pack nella lingua appropriata.
alla fine... ogni uomo considera i limiti della propria visione personale come i limiti del mondo...
Avatar utente
Pacopas
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 6708
Iscritto il: mer ott 05, 2005 12:44 am

Messaggioda maiandra » gio gen 25, 2007 5:04 pm

Scusate se mi intrometto, ma io pensavo che installando la versione 3 non servisse la versione 2, io infatti ho disinstallato la versione 2 ed anche il language pach(italiano) e due aggiornamenti lasciando la versione 1, ho riavviato il computer ed ho installato la versione 3 ho avviato impostazioni-pannello di controllo-installazione applicazioni mi sono trovato sia la versione 2 con relativo language pack sia la versione 3 con relativo language pack in più in windows update mi sono stati proposti i due aggiornamenti per la versione 2.
Quindi in installazioni applicazioni ci sono tutte e tre le versioni la 1, la 2 e la 3 coi relativi language pack naturalmente con dimensioni diverse si parte dai 72 mega della versione 3 e si arriva ai 98 mega per il language pack della versione 2.
E' giusto che sia così o ho sbagliato in quanche cosa?

Ciao a tutti e grazie per eventuali risposte.
Avatar utente
maiandra
Senior Member
Senior Member
 
Messaggi: 404
Iscritto il: sab mar 12, 2005 4:30 pm

Messaggioda maiandra » ven gen 26, 2007 5:02 pm

Forse la mia domanda è troppo stupida per aver un minimo di risposta?
Avatar utente
maiandra
Senior Member
Senior Member
 
Messaggi: 404
Iscritto il: sab mar 12, 2005 4:30 pm

Messaggioda ba_61 » ven gen 26, 2007 5:29 pm

maiandra ha scritto:Forse la mia domanda è troppo stupida per aver un minimo di risposta?

Nessuna domanda è stupida, ma il concetto è:

crazy.cat ha scritto:Io avevo aggiornato alla 2 eliminando la 1.1, installo un programma che richiedeva la 1.1 e non si lasciava installare, ho dovuto rimettere anche la 1.1

Dipende dai programmi che andrai ad installare.

Nel dubbio, anche se ti tieni il tutto, credo non sussistano problemi.

[nota] Personalmente non ho alcun programma od applicazione che lo richiedano, per cui le mie considerazioni prendile con le pinze.

Il tutto per chiarire il fatto che se nessuno risponde, per ora evidentemente non si è fatto vivo o non si sa niente di preciso (vedi la mia "non" risposta).
Avatar utente
ba_61
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 6290
Iscritto il: lun gen 10, 2005 11:36 pm

Messaggioda maiandra » ven gen 26, 2007 5:59 pm

Ok ba61, grazie per la risposta, il fatto è che tenendo tutte e tre le versioni si occupa più spazio, va be che forse la dimensione della versione 3 magari comprende anche la dimensione della 2.
Attenderò una risposta dagli esperti.

Grazie ancora e ciao
Avatar utente
maiandra
Senior Member
Senior Member
 
Messaggi: 404
Iscritto il: sab mar 12, 2005 4:30 pm


Torna a Sistema Operativo

Chi c’è in linea

Visitano il forum: Nessuno e 6 ospiti

cron
Powered by phpBB © 2002, 2005, 2007, 2008 phpBB Group
Traduzione Italiana phpBB.it

megalab.it: testata telematica quotidiana registrata al Tribunale di Cosenza n. 22/09 del 13.08.2009, editore Master New Media S.r.l.; © Copyright 2008 Master New Media S.r.l. a socio unico - P.I. 02947530784. GRUPPO EDIZIONI MASTER Spa Tutti i diritti sono riservati. Per la pubblicità: Master Advertising